DESedeKeyGenerator (Bouncy Castle Library 1.85 API Specification)
Date: 2026-07-12

org.bouncycastle.crypto.generators

## Class DESedeKeyGenerator

- java.lang.Object
- - org.bouncycastle.crypto.CipherKeyGenerator
  - - org.bouncycastle.crypto.generators.DESKeyGenerator
    - - org.bouncycastle.crypto.generators.DESedeKeyGenerator

-     public class DESedeKeyGenerator
      extends DESKeyGenerator

- - ### Field Summary

    - ### Fields inherited from class org.bouncycastle.crypto.CipherKeyGenerator

      `random, strength`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DESedeKeyGenerator()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `byte[]` | `generateKey()` generate a secret key.
    `void` | `init(KeyGenerationParameters param)` initialise the key generator - if strength is set to zero the key generated will be 192 bits in size, otherwise strength can be 128 or 192 (or 112 or 168 if you don't count parity bits), depending on whether you wish to do 2-key or 3-key triple DES.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DESedeKeyGenerator

          public DESedeKeyGenerator()

  - ### Method Detail

    - #### init

          public void init(KeyGenerationParameters param)

      initialise the key generator - if strength is set to zero the key generated will be 192 bits in size, otherwise strength can be 128 or 192 (or 112 or 168 if you don't count parity bits), depending on whether you wish to do 2-key or 3-key triple DES.
      Overrides:
        `init` in class `DESKeyGenerator`
      Parameters:
        `param` - the parameters to be used for key generation

    - #### generateKey

          public byte[] generateKey()

      Description copied from class: `CipherKeyGenerator`
      generate a secret key.
      Overrides:
        `generateKey` in class `DESKeyGenerator`
      Returns:
        a byte array containing the key value.